# Class Paths

java.lang.Object
java.nio.file.Paths

public final class Paths extends Object
This class consists exclusively of static methods that return a `Path` by converting a path string or `URI`.

API Note:
  It is recommended to obtain a `Path` via the `Path.of` methods instead of via the `get` methods defined in this class as this class may be deprecated in a future release.
Since:
  1.7
See Also:
  - `Path`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Path`
  `get(String first, String... more)`
  Converts a path string, or a sequence of strings that when joined form a path string, to a `Path`.
  `static Path`
  `get(URI uri)`
  Converts the given URI to a `Path` object.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Method Details

  - ### get

    public static Path get(String first, String... more)
    Converts a path string, or a sequence of strings that when joined form a path string, to a `Path`.
    Implementation Requirements:
      This method simply invokes `Path.of(String, String...)` with the given parameters.
    Parameters:
      `first` - the path string or initial part of the path string
      `more` - additional strings to be joined to form the path string
    Returns:
      the resulting `Path`
    Throws:
      `InvalidPathException` - if the path string cannot be converted to a `Path`
    See Also:
      - `FileSystem.getPath(String, String...)`
      - `Path.of(String,String...)`

  - ### get

    public static Path get(URI uri)
    Converts the given URI to a `Path` object.
    Implementation Requirements:
      This method simply invokes `Path.of(URI)` with the given parameter.
    Parameters:
      `uri` - the URI to convert
    Returns:
      the resulting `Path`
    Throws:
      `IllegalArgumentException` - if preconditions on the `uri` parameter do not hold. The format of the URI is provider specific.
      `FileSystemNotFoundException` - The file system, identified by the URI, does not exist and cannot be created automatically, or the provider identified by the URI's scheme component is not installed
    See Also:
      - `Path.of(URI)`